import '../lib/frequency.dart';

void main() {
  Frequency freqObj = Frequency.Dynamic("every 8 hours", "Day", 3);
  print(freqObj.getNextFreq(DateTime.now()));

  Map<String, dynamic> pfhirTiming = {
    "repeat": {"frequency": 1, "period": 4.0, "periodUnit": "h"}
  };
  String pfhirFreqText = "";

  Frequency freqObjFhir =
      Frequency.BuildFromFHIRRepeat(pfhirTiming, pfhirFreqText);
  print(freqObjFhir.getNextFreq(DateTime.now()));
}
